<?php



include("asl.php");


?>



<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html ; charset=utf-8" />
	<meta http-equiv="content-type" content="text/html" />
	<meta name="author" content="persian" />

	<title>طراحی ربات ahp</title>
	
	
    <link rel="Stylesheet" type="text/css" href="style.css" />


<style>


  @font-face
{
font-family: 'amir' ;
src:url('font/BKoodakBold.ttf')format('truetype'),
url('font/BKoodakBold.eot')format('eot'),
url('font/BKoodakBold.woff')format('woff');

}
</style>


</head>

<body dir="rtl" align="center" >
<div align="center" >
<?php

    //  import_request_variables("p" , "a_");
                           
$a_pass = $_POST["pass"];
$a_user= $_POST["user"];
$a_mykey= $_POST["mykey"];
$a_answer= $_POST["answer"];
$a_myarakeys= $_POST["myarakeys"];
$a_newuser= $_POST["newuser"];
$a_newpass= $_POST["newpass"];
$a_noa= $_POST["noa"];
$a_shenase= $_POST["shenase"];
$a_chatid= $_POST["chatid"];
$a_text= $_POST["text"];
$a_pfrom= $_POST["pfrom"];
$a_pto= $_POST["pto"];


try {
    $conn = new PDO("mysql:host=$servername;dbname=$mydb", $username, $password ,  array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
    // set the PDO error mode to exception

    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    }
catch(PDOException $e)
    {
    echo "Connection failed: " . $e->getMessage();
    }




              $sql = "select * from admin";
              $stmt =   $conn->prepare($sql);
              $stmt->execute();

                        $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);
                         $show =$stmt->fetch()  ;

              $user = $show["user"];
              $pass= $show["pass"];


              $getpass= hash_hmac('md5',$a_pass , salt);


                 if($user == $a_user && $pass == $getpass){
                 
                 }     else{

/*
                        $newpass= hash_hmac('md5' , $a_newpass , salt);
            $sql = "update admin set user = \"$a_newuser\"  , pass=\"$newpass\"  ";
            $conn->exec($sql);
             echo "<p style='color:green' >يوزرنيم و پسورد با موفقيت به روز رساني شد لطفا از پنل خارج شده مجددا وارد شويد</p>";
             
             
             
             
                                   function redirect($url){
     if (!headers_sent()){
         header('Location: '.$url); exit;
     }else{
         echo '<script type="text/javascript">';
         echo 'window.location.href="'.$url.'";';
         echo '</script>';
         echo '<noscript>';
         echo '<meta http-equiv="refresh" content="0;url='.$url.'" />';
         echo '</noscript>'; exit;
     }
     
     
     
    
     
     
 }
 
  redirect("enter.php");
 
 
 */    
                      
                      
        }



        
        
        
        
  
     function sendmessage($text,$chatid,$keys){

     $send = "https://api.telegram.org/bot6395431401:AAH3VXdiFjRzP--O04rRweqciUe0V6Q1TmA/sendmessage?chat_id=$chatid&text=$text&parse_mode=Html&reply_markup=$keys";
     $sended = file_get_contents($send);
     return $sended;
     }
     
     function sendphoto($address,$chatid,$key,$caption){


$bot_url    = "https://api.telegram.org/bot6395431401:AAH3VXdiFjRzP--O04rRweqciUe0V6Q1TmA/";
$url = $bot_url . "sendPhoto?caption=$caption&chat_id=".$chatid;
$ch = curl_init(); 
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
    "Content-Type:multipart/form-data"
));
curl_setopt($ch, CURLOPT_URL, $url); 
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
curl_setopt($ch, CURLOPT_POSTFIELDS, array(
    "photo"     => "@"."upload/".$address, 
)); 
curl_setopt($ch, CURLOPT_INFILESIZE, filesize("upload/".$address));
$output = curl_exec($ch);

  
    
                 
 
}





              if($a_noa == "sndmsg"){
              
           
                  if(!$_FILES['myfile']['name']=="" && $_FILES["myfile"]["error"]==0  ){



      
$ext = end(explode('.',$_FILES['myfile']['name']));

$formats = array('jpg','JPG','gif','GIF','png','PNG','RAR','rar','ZIP','zip','mp4','3gp','mov');
if(!in_array($ext,$formats)){

    print"<p style='color:green' >پسوند معتبر برای آپلود نیست</p>";
    
    }
    elseif( file_exists('upload/'.$_FILES["myfile"]["name"])){
        print"<p style='color:green' >متاسفیم این فایل قبلا اپلود شده لطفا نام ان را تغییر دهید</p>";
      
    }
    elseif( 536870912 < $_FILES["myfile"]["size"]){
        

        print"<p style='color:green' >سایز فایل باید کمتر از نیم گیگ باشد</p>";
    }
    else{
        $path="upload/".$_FILES["myfile"]["name"];
        move_uploaded_file($_FILES["myfile"]["tmp_name"] , $path);
        print"
        <span class='green' >
        اپلود با موفقیت انجام 
        شد
        </span>
        ";
        
    }
  $namemyfile=$_FILES["myfile"]["name"];



    
      
    }
    
    if($namemyfile=="" || $namemyfile== " "){}
    else{
  print$namemyfile;
  sendphoto($namemyfile,$a_chatid,"",$caption);
    }
 sendmessage(urlencode("$a_text"),$a_chatid,"");

 print"ارسال شد";
 
   
            $sql = "insert into messages (chatid,text) values (\"$a_chatid\",\"$a_text\")";
            $conn->exec($sql);

              }




?>


<br /><br />
<h4 class="white">پنل مدیریتی ربات</h4>
<div id="content" align="right" >
<div id="content-content" >
<table>
<tr><td><img class="radius" src="images/user.png" /></td><td class="gray"  valign="bottom">خوش آمدید <?php print$userse; ?></td>

<td><form target="_blank" method='post' action='index.php' > 


<input type='submit' style='width:100%' class='font' value='صفحه اصلی'  />
<input  type='hidden' name='user' value="<?php echo $a_user  ?>"  />
        <input  type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font'  />
 </form></td>




</tr>

</table>




<br />
<br /> 
<a href="https://telegram.me/" target="_blank" >
<input class='button-blue' style="width:725px;" type="button" value="رفتن به داخل ربات" />
</a>

<br />
<div id="fish">





 <h5 class='gray'>◄ نمایش پیام های ارسالی</h5>


<table>
<tr>


<th class='th'  >پیام</th>
<th class='th'  >چت ای دی</th>



</tr>
<tr>





<?php

if($a_pfrom=="" || $a_pfrom==" "){

$a_pfrom = 0 ;
$a_pto=30 ;
}
elseif($a_pto==0){

print"<p>صفحه ی قبل موجود نمی باشد !</p>";


$a_pfrom = 0 ;
$a_pto=30 ;
}
   $stmt = $conn->prepare("SELECT * FROM messages LIMIT $a_pfrom,$a_pto"); 
    $stmt->execute();

    // set the resulting array to associative
    $result = $stmt->setFetchMode(PDO::FETCH_ASSOC); 
   
    $k=$stmt->fetchAll();
    $num=$stmt->rowCount();

  print" <h5 class='gray'>◄ تعداد پیام ها : $num</h5>";
  
     foreach($k as $v){
       
        
        print"
        <tr>
      
<td align='center' class='td'  >".$v["text"]."</td>
<td align='center' class='td'  >".$v["chatid"]."</td>



</tr>

        
        ";
     }

?>










</tr>



</table>






<div style='height:70px;' >
<div style='float:right;' >
<form method='post' action='messages.php' >
<input type='hidden' name='pfrom' value='<?php $npfrom = $a_pfrom - 30 ; print$npfrom; ?>' />
<input type='hidden' name='pto' value='<?php $npto = $a_pto - 30 ; print$npto; ?>' />
<input class='button-blue' style="width:70px;" type="submit" value="صفحه قبل" />

</form>
</div>
<div style='float:right;' >



<form method='post' action='messages.php' >
<input type='hidden' name='pfrom' value='<?php $npfrom = $a_pfrom + 30 ; print$npfrom; ?>' />
<input type='hidden' name='pto' value='<?php $npto = $a_pto + 30 ; print$npto; ?>' />
<input class='button-blue' style="width:70px;" type="submit" value="صفحه بعد" />
</form>
</div>

</div>

<hr />
<hr />
<hr />

   <br />
      <br />
         <br />
            <br />






</div>



















<br />
<br />
</div>
   </div>




<a style="text-decoration:none ;" href="http://ahpteam.ir" target="_blank" class="gray" >طراحی شده توسط ahpteam</a>
</div>

<?php
  $conn = null;
?>
</body>
</html>